### Function

# Soup Multipart new_from_message

#### Declaration [src]

    SoupMultipart*
    soup_multipart_new_from_message (
      SoupMessageHeaders* headers,
      GBytes* body
    )

#### Description [src]

Parses `headers` and `body` to form a new `SoupMultipart`.

#### Parameters

`headers` | `SoupMessageHeaders`
| The headers of the HTTP message to parse.
| The data is owned by the caller of the function.
`body` | `GBytes`
| The body of the HTTP message to parse.
| The data is owned by the caller of the function.

#### Return value

Returns: | `SoupMultipart`
| A new `SoupMultipart` (or `NULL` if the message couldn’t be parsed or wasn’t multipart).
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.